Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
PSI
PSI API
CSI
OSI
xSI
Vulnerabilities
Programs
Open Discussions
My Threads
Create Thread
Statistics
About

Forum Thread: Adobe 9.1.2

You are currently viewing a forum thread in the Secunia Community Forum. Please note that opinions expressed here are not of Secunia but solely reflect those of the user who wrote it.

This thread was submitted in the following forum:
PSI

This thread has been marked as locked.
gpgap Adobe 9.1.2
Member 26th Jun, 2009 14:38
Ranking: 0
Posts: 3
User Since: 26th Jun, 2009
System Score: N/A
Location: N/A
Hi,
I'm a newbie here.
I came to the forum looking for an answer and discovered that the problem already exists. Namely PSI the previous ver. and the current 1.5 are not recognising Adobe 9.1.2 on my system (XP3 Home). I know it's there, I can see it and even Shavlik see's the update. This problem has existed since 9.1.2 was released. Is this a glitch in the system? If it's a part of the checking mechanism then what??

Anthony Wells RE: Adobe 9.1.2
Expert Contributor 26th Jun, 2009 16:32
Score: 2384
Posts: 3,280
User Since: 19th Dec 2007
System Score: N/A
Location: N/A
Last edited on 26th Jun, 2009 16:38
In fact , the problem dates quite a while back to 9.1.0 updates. Part of the problem does relate to Secunia recognition. The last time they advised us they were checking the version in the "Annots.api" file in the Reader -> "plug_ins" folder . There are many solutions proposed - some work fine , others not so well and some people are still at sea. It seems like Vista has more problems ; but that's just a guess .
If shavlik says it's good and so does Reader about and the RD32.dll file is up to date , then it "probably" is so.

--


It always seems impossible until its done.
Nelson Mandela
Was this reply relevant?
+0
-0
gpgap RE: Adobe 9.1.2
Member 28th Jun, 2009 16:30
Score: 0
Posts: 3
User Since: 26th Jun 2009
System Score: N/A
Location: N/A
Hi Anthony,

Double checked AcroRD32.dll is version 9.1.2.82
QED. Let's hope that this problem will be resolved before the next series of updates. Dependability is a great sales point.
Cheers.
Was this reply relevant?
+0
-0
Anthony Wells RE: Adobe 9.1.2
Expert Contributor 28th Jun, 2009 17:56
Score: 2384
Posts: 3,280
User Since: 19th Dec 2007
System Score: N/A
Location: N/A
Just out of curiosity , what is the version number of the "Annots.api" file ? ; it should show if you right-click the file -> properties and click the "version" tab in the properties window .

--


It always seems impossible until its done.
Nelson Mandela
Was this reply relevant?
+0
-0
Anthony Wells RE: Adobe 9.1.2
Expert Contributor 28th Jun, 2009 18:04
Score: 2384
Posts: 3,280
User Since: 19th Dec 2007
System Score: N/A
Location: N/A
An afterthought , in your post you say Secunia PSI does not recognise 9.1.2 ; do you mean it doesn't see Adobe Reader v9 at all or is showing it as "insecure" & poses a threat & needs "patching/updating" ?

--


It always seems impossible until its done.
Nelson Mandela
Was this reply relevant?
+0
-0
gpgap RE: Adobe 9.1.2
Member 29th Jun, 2009 02:35
Score: 0
Posts: 3
User Since: 26th Jun 2009
System Score: N/A
Location: N/A
1. Secunia see's the ver 9 and states that it's unsecure and requires patching. States update 1.1 and then 1.2
2. Cannot find a "Annots.api" file. Loads of other's but not this one.!!!!
Was this reply relevant?
+0
-0
Anthony Wells RE: Adobe 9.1.2
Expert Contributor 29th Jun, 2009 13:51
Score: 2384
Posts: 3,280
User Since: 19th Dec 2007
System Score: N/A
Location: N/A

The only location I know for the "Annots.api" is found by opening (double click) the "plug_ins" folder - I also have a "plug-ins3d" and a "SPPlugins" folder amongst other folders and other files.
My "Annots.api" , RD32.dll are up to date , but my AcroRD32(.exe) file has always been version 9.1.0.163 .
If you don't have "Annots.api" then it's up to Secunia & Adobe to sort out this problem .

Take care
Anthony

PS: using the repair link found in the Reader "help" (drop down) menu has helped me in the past - close Reader before you run the wizard , if you try it.

--


It always seems impossible until its done.
Nelson Mandela
Was this reply relevant?
+0
-0

This thread has been marked as locked.


 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Factsheets
Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability